Page MenuHomePhabricator

'tapped settings cog' events lack link interaction token
Closed, ResolvedPublic1 Story Points

Description

SELECT event_linkInteractionToken, COUNT(*) FROM log.Popups_16364296 WHERE MONTH(timestamp) = 6 AND event_action = 'tapped settings cog' GROUP BY event_linkInteractionToken;
+----------------------------+----------+
| event_linkInteractionToken | COUNT(*) |
+----------------------------+----------+
| NULL                       |       25 |
+----------------------------+----------+
1 row in set (6.45 sec)

SELECT event_linkInteractionToken, COUNT(*) FROM log.Popups_16364296 WHERE MONTH(timestamp) = 5 AND event_action = 'tapped settings cog' GROUP BY event_linkInteractionToken;
+----------------------------+----------+
| event_linkInteractionToken | COUNT(*) |
+----------------------------+----------+
| NULL                       |      119 |
+----------------------------+----------+
1 row in set (1.42 sec)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2017, 11:23 PM

Also, per @bmansurov's test findings at T164256#3330026 we probably still need to make sure that all of these events are logged in the first place.

ovasileva triaged this task as High priority.Jun 8 2017, 11:23 AM
phuedx assigned this task to Tbayer.Jun 8 2017, 1:30 PM

It looks like this fix is not live yet:

SELECT DATE(timestamp) AS date, 
SUM(IF(event_linkInteractionToken IS NOT NULL, 1, 0))/SUM(1), SUM(1) 
FROM log.Popups_16364296 
WHERE MONTH(timestamp) = 6 
AND event_action = 'tapped settings cog'
GROUP BY date ORDER BY date;
+------------+--------------------------------------------------------------+--------+
| date       | SUM(IF(event_linkInteractionToken IS NOT NULL, 1, 0))/SUM(1) | SUM(1) |
+------------+--------------------------------------------------------------+--------+
| 2017-06-01 |                                                       0.0000 |      4 |
| 2017-06-02 |                                                       0.0000 |      2 |
| 2017-06-03 |                                                       0.0000 |      1 |
| 2017-06-04 |                                                       0.0000 |      2 |
| 2017-06-05 |                                                       0.0000 |      7 |
| 2017-06-06 |                                                       0.0000 |      5 |
| 2017-06-07 |                                                       0.0000 |      4 |
| 2017-06-08 |                                                       0.0000 |      4 |
| 2017-06-09 |                                                       0.0000 |      1 |
| 2017-06-10 |                                                       0.0000 |      1 |
| 2017-06-11 |                                                       0.0000 |      2 |
| 2017-06-12 |                                                       0.0000 |      3 |
| 2017-06-13 |                                                       0.0000 |      2 |
+------------+--------------------------------------------------------------+--------+
13 rows in set (10.78 sec)
Tbayer moved this task from Triage to Blocked on the Reading-analysis board.

It looks like this fix is not live yet[.]

Correct. It'll be fully deployed on Thursday, 15th.

Re-running the query in T167364#3346714:

SELECT DATE(timestamp) AS date,
SUM(IF(event_linkInteractionToken IS NOT NULL, 1, 0))/SUM(1), SUM(1)
FROM log.Popups_16364296
WHERE MONTH(timestamp) = 6
AND DAY(timestamp) >= 16
AND event_action = 'tapped settings cog'
GROUP BY date ORDER BY date;

+------------+--------------------------------------------------------------+--------+
| date       | SUM(IF(event_linkInteractionToken IS NOT NULL, 1, 0))/SUM(1) | SUM(1) |
+------------+--------------------------------------------------------------+--------+
| 2017-06-16 |                                                       1.0000 |      5 |
| 2017-06-17 |                                                       1.0000 |      1 |
| 2017-06-18 |                                                       1.0000 |      3 |
| 2017-06-19 |                                                       1.0000 |      1 |
+------------+--------------------------------------------------------------+--------+
Tbayer moved this task from Blocked to Triage on the Reading-analysis board.Jul 4 2017, 12:09 AM
Tbayer closed this task as Resolved.Jul 4 2017, 5:26 PM

Sam already checked the result above, here are the number for a few more days (mostly out of curiosity about the total number):

SELECT DATE(timestamp) AS date, 
SUM(IF(event_linkInteractionToken IS NOT NULL, 1, 0))/SUM(1), SUM(1) 
FROM log.Popups_16364296 
WHERE MONTH(timestamp) >= 6 
AND event_action = 'tapped settings cog'
GROUP BY date ORDER BY date;
 
+------------+--------------------------------------------------------------+--------+
| date       | SUM(IF(event_linkInteractionToken IS NOT NULL, 1, 0))/SUM(1) | SUM(1) |
+------------+--------------------------------------------------------------+--------+
| 2017-06-01 |                                                       0.0000 |      4 |
| 2017-06-02 |                                                       0.0000 |      2 |
| 2017-06-03 |                                                       0.0000 |      1 |
| 2017-06-04 |                                                       0.0000 |      2 |
| 2017-06-05 |                                                       0.0000 |      7 |
| 2017-06-06 |                                                       0.0000 |      5 |
| 2017-06-07 |                                                       0.0000 |      4 |
| 2017-06-08 |                                                       0.0000 |      4 |
| 2017-06-09 |                                                       0.0000 |      1 |
| 2017-06-10 |                                                       0.0000 |      1 |
| 2017-06-11 |                                                       0.0000 |      2 |
| 2017-06-12 |                                                       0.0000 |      3 |
| 2017-06-13 |                                                       0.0000 |      2 |
| 2017-06-14 |                                                       0.0000 |      6 |
| 2017-06-15 |                                                       0.0000 |      1 |
| 2017-06-16 |                                                       1.0000 |      5 |
| 2017-06-17 |                                                       1.0000 |      1 |
| 2017-06-18 |                                                       1.0000 |      3 |
| 2017-06-19 |                                                       1.0000 |      1 |
| 2017-06-20 |                                                       1.0000 |      2 |
| 2017-06-21 |                                                       1.0000 |      5 |
| 2017-06-22 |                                                       1.0000 |      5 |
| 2017-06-23 |                                                       1.0000 |      1 |
| 2017-06-24 |                                                       1.0000 |      2 |
| 2017-06-25 |                                                       1.0000 |      2 |
| 2017-06-26 |                                                       1.0000 |      2 |
| 2017-06-27 |                                                       1.0000 |      5 |
| 2017-06-28 |                                                       1.0000 |      4 |
| 2017-06-29 |                                                       1.0000 |      2 |
| 2017-06-30 |                                                       1.0000 |      1 |
| 2017-07-01 |                                                       1.0000 |      1 |
| 2017-07-02 |                                                       1.0000 |      4 |
| 2017-07-03 |                                                       1.0000 |      5 |
| 2017-07-04 |                                                       1.0000 |      4 |
+------------+--------------------------------------------------------------+--------+
34 rows in set (18.16 sec)